Skip to content

EvanHahn/deep-proxy

main
Switch branches/tags
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
 
 
 
 
 
 
 
 
 
 
 
 

Deep Proxy

Requires Proxy support. This is in newer browsers and Node 6+.

Live this dream:

let obj = {};

let proxy = deepProxy(obj);
proxy.very.deeply.nested.property = "possible";

console.log(obj);
/*
{
  very: {
    deeply: {
      nested: {
        property: 'possible'
      }
    }
  }
}
*/

Use it in Node/Browserify/Webpack:

let deepProxy = require("deep-proxy");

let proxy = deepProxy({});

Or use it in the browser:

<script src="deep-proxy.js"></script>
<script>
  var proxy = deepProxy({});
</script>

About

obj.very.deeply.nested.property.isNow = 'possible'

Resources

License

Stars

Watchers

Forks

Packages

No packages published